> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lev8.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get balance

> Query available credits for the billing account attached to an API key.

Returns the credits that the API key's billing account can use for a new request.

## Example

```bash theme={null}
curl "https://app.lev8.com/v1/credit/balance" \
  --header "x-api-key: $LEV8_API_KEY"
```

## Response

```json theme={null}
{
  "object": "credit_balance",
  "available_credits": 125,
  "updated_at": "2026-08-03 17:30:00",
  "next_credit_refresh_at": "2026-09-03 17:30:00"
}
```

The response includes `Cache-Control: no-store`. See [Credit balance](/api-reference/credit-balance) for field descriptions and error handling.


## OpenAPI

````yaml GET /v1/credit/balance
openapi: 3.1.0
info:
  title: lev8 API
  version: '1.0'
  license:
    name: Proprietary
    identifier: LicenseRef-Proprietary
servers:
  - url: https://app.lev8.com
security:
  - ApiKeyAuth: []
paths:
  /v1/credit/balance:
    get:
      summary: Get balance
      description: Query available credits for the billing account attached to an API key.
      operationId: getCreditBalance
      responses:
        '200':
          description: Credit balance.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreditBalance'
        '401':
          description: Missing or invalid API key.
        '403':
          description: API key is revoked or expired.
        '500':
          description: Server error.
        '503':
          description: External API is not enabled.
components:
  schemas:
    CreditBalance:
      type: object
      properties:
        object:
          type: string
          const: credit_balance
        available_credits:
          type: integer
          example: 125
        updated_at:
          type: string
          example: '2026-08-03 17:30:00'
        next_credit_refresh_at:
          type: string
          example: '2026-09-03 17:30:00'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: lev8_live_...

````